Subject: bug#58771: 29.0.50; context submenu can not click when run emacs lucid build.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Jan 2023 10:05:15 +0200

> Cc: Feng Shu <[email-masked]>, Stephen Berman <[email-masked]>,
>  [email-masked], Visuwesh <[email-masked]>
> Date: Thu, 12 Jan 2023 11:44:17 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Mike Kupfer <[email-masked]> writes:
> 
> > Would this also involve removing f_lucid__menu_grab_keyboard from the
> > emacs_globals struct and removing the corresponding DEFVAR_BOOL in
> > keyboard.c?  pop_up_menu() is the only place lucid__menu_grab_keyboard
> > is used.
> 
> Ah, globals.h is automatically generated by make-docfile from the
> various *.[cm] files during the build process.  This is why it is very
> easy to end up with subtle differences in globals.h.  Especially in
> lwlib, which has no business accessing Lisp anyway.

I don't think I understand the problem you are trying to fix, and the
messages recorded by debbugs don't help (maybe some were lost or sent
in private email?).  Can you explain the relevance of globals.h to the
subject of this bug report?

Dependencies for header files are supposed to be recorded
automatically in the deps subdirectory, as part of compilation of C
source files, so how come something is not recompiled when its
dependency header file changes?  And I have _never_ seen any problems
with how we generate globals.h or detect that its contents changed.